home *** CD-ROM | disk | FTP | other *** search
/ Chip 2005 June / ccd0605.iso / LINUX / gopchop-1.1.7.tar.tar / gopchop-1.1.7.tar / gopchop-1.1.7 / tests / Makefile.in < prev    next >
Makefile  |  2005-05-01  |  17KB  |  560 lines

  1. # Makefile.in generated by automake 1.8.5 from Makefile.am.
  2. # @configure_input@
  3.  
  4. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5. # 2003, 2004  Free Software Foundation, Inc.
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9.  
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  12. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  13. # PARTICULAR PURPOSE.
  14.  
  15. @SET_MAKE@
  16. SOURCES = $(test_stub_SOURCES)
  17.  
  18. srcdir = @srcdir@
  19. top_srcdir = @top_srcdir@
  20. VPATH = @srcdir@
  21. pkgdatadir = $(datadir)/@PACKAGE@
  22. pkglibdir = $(libdir)/@PACKAGE@
  23. pkgincludedir = $(includedir)/@PACKAGE@
  24. top_builddir = ..
  25. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  26. INSTALL = @INSTALL@
  27. install_sh_DATA = $(install_sh) -c -m 644
  28. install_sh_PROGRAM = $(install_sh) -c
  29. install_sh_SCRIPT = $(install_sh) -c
  30. INSTALL_HEADER = $(INSTALL_DATA)
  31. transform = $(program_transform_name)
  32. NORMAL_INSTALL = :
  33. PRE_INSTALL = :
  34. POST_INSTALL = :
  35. NORMAL_UNINSTALL = :
  36. PRE_UNINSTALL = :
  37. POST_UNINSTALL = :
  38. host_triplet = @host@
  39. check_PROGRAMS = test-stub$(EXEEXT)
  40. subdir = tests
  41. DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
  42. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  43. am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
  44.     $(top_srcdir)/configure.ac
  45. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  46.     $(ACLOCAL_M4)
  47. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  48. CONFIG_HEADER = $(top_builddir)/include/config.h
  49. CONFIG_CLEAN_FILES =
  50. am_test_stub_OBJECTS = test-stub.$(OBJEXT)
  51. test_stub_OBJECTS = $(am_test_stub_OBJECTS)
  52. test_stub_LDADD = $(LDADD)
  53. DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
  54. depcomp = $(SHELL) $(top_srcdir)/depcomp
  55. am__depfiles_maybe = depfiles
  56. @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/test-stub.Po
  57. CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  58.     $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  59. LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
  60.     $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  61.     $(AM_CXXFLAGS) $(CXXFLAGS)
  62. CXXLD = $(CXX)
  63. CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
  64.     $(AM_LDFLAGS) $(LDFLAGS) -o $@
  65. SOURCES = $(test_stub_SOURCES)
  66. DIST_SOURCES = $(test_stub_SOURCES)
  67. ETAGS = etags
  68. CTAGS = ctags
  69. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  70. ACLOCAL = @ACLOCAL@
  71. AMDEP_FALSE = @AMDEP_FALSE@
  72. AMDEP_TRUE = @AMDEP_TRUE@
  73. AMTAR = @AMTAR@
  74. AR = @AR@
  75. AUTOCONF = @AUTOCONF@
  76. AUTOHEADER = @AUTOHEADER@
  77. AUTOMAKE = @AUTOMAKE@
  78. AWK = @AWK@
  79. CATALOGS = @CATALOGS@
  80. CATOBJEXT = @CATOBJEXT@
  81. CC = @CC@
  82. CCDEPMODE = @CCDEPMODE@
  83. CFLAGS = @CFLAGS@
  84. CPP = @CPP@
  85. CPPFLAGS = @CPPFLAGS@
  86. CXX = @CXX@
  87. CXXCPP = @CXXCPP@
  88. CXXDEPMODE = @CXXDEPMODE@
  89. CXXFLAGS = @CXXFLAGS@
  90. CYGPATH_W = @CYGPATH_W@
  91. DATADIRNAME = @DATADIRNAME@
  92. DEFS = @DEFS@
  93. DEPDIR = @DEPDIR@
  94. ECHO = @ECHO@
  95. ECHO_C = @ECHO_C@
  96. ECHO_N = @ECHO_N@
  97. ECHO_T = @ECHO_T@
  98. EGREP = @EGREP@
  99. EXEEXT = @EXEEXT@
  100. F77 = @F77@
  101. FFLAGS = @FFLAGS@
  102. GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
  103. GMOFILES = @GMOFILES@
  104. GMSGFMT = @GMSGFMT@
  105. INCLUDES = @INCLUDES@
  106. INSTALL_DATA = @INSTALL_DATA@
  107. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  108. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  109. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  110. INSTOBJEXT = @INSTOBJEXT@
  111. INTLLIBS = @INTLLIBS@
  112. INTLTOOL_CAVES_RULE = @INTLTOOL_CAVES_RULE@
  113. INTLTOOL_DESKTOP_RULE = @INTLTOOL_DESKTOP_RULE@
  114. INTLTOOL_DIRECTORY_RULE = @INTLTOOL_DIRECTORY_RULE@
  115. INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
  116. INTLTOOL_ICONV = @INTLTOOL_ICONV@
  117. INTLTOOL_KBD_RULE = @INTLTOOL_KBD_RULE@
  118. INTLTOOL_KEYS_RULE = @INTLTOOL_KEYS_RULE@
  119. INTLTOOL_MERGE = @INTLTOOL_MERGE@
  120. INTLTOOL_MSGFMT = @INTLTOOL_MSGFMT@
  121. INTLTOOL_MSGMERGE = @INTLTOOL_MSGMERGE@
  122. INTLTOOL_OAF_RULE = @INTLTOOL_OAF_RULE@
  123. INTLTOOL_PERL = @INTLTOOL_PERL@
  124. INTLTOOL_PONG_RULE = @INTLTOOL_PONG_RULE@
  125. INTLTOOL_PROP_RULE = @INTLTOOL_PROP_RULE@
  126. INTLTOOL_SCHEMAS_RULE = @INTLTOOL_SCHEMAS_RULE@
  127. INTLTOOL_SERVER_RULE = @INTLTOOL_SERVER_RULE@
  128. INTLTOOL_SHEET_RULE = @INTLTOOL_SHEET_RULE@
  129. INTLTOOL_SOUNDLIST_RULE = @INTLTOOL_SOUNDLIST_RULE@
  130. INTLTOOL_THEME_RULE = @INTLTOOL_THEME_RULE@
  131. INTLTOOL_UI_RULE = @INTLTOOL_UI_RULE@
  132. INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
  133. INTLTOOL_XAM_RULE = @INTLTOOL_XAM_RULE@
  134. INTLTOOL_XGETTEXT = @INTLTOOL_XGETTEXT@
  135. INTLTOOL_XML_NOMERGE_RULE = @INTLTOOL_XML_NOMERGE_RULE@
  136. INTLTOOL_XML_RULE = @INTLTOOL_XML_RULE@
  137. LDFLAGS = @LDFLAGS@
  138. LIBOBJS = @LIBOBJS@
  139. LIBS = @LIBS@
  140. LIBTOOL = @LIBTOOL@
  141. LIBVO_CFLAGS = @LIBVO_CFLAGS@
  142. LIBVO_LIBS = @LIBVO_LIBS@
  143. LN_S = @LN_S@
  144. LTLIBOBJS = @LTLIBOBJS@
  145. MAINT = @MAINT@
  146. MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
  147. MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
  148. MAKEINFO = @MAKEINFO@
  149. MKINSTALLDIRS = @MKINSTALLDIRS@
  150. MSGFMT = @MSGFMT@
  151. OBJEXT = @OBJEXT@
  152. PACKAGE = @PACKAGE@
  153. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  154. PACKAGE_CFLAGS = @PACKAGE_CFLAGS@
  155. PACKAGE_DATA_DIR = @PACKAGE_DATA_DIR@
  156. PACKAGE_LIBS = @PACKAGE_LIBS@
  157. PACKAGE_NAME = @PACKAGE_NAME@
  158. PACKAGE_STRING = @PACKAGE_STRING@
  159. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  160. PACKAGE_VERSION = @PACKAGE_VERSION@
  161. PATH_SEPARATOR = @PATH_SEPARATOR@
  162. PKG_CONFIG = @PKG_CONFIG@
  163. POFILES = @POFILES@
  164. POSUB = @POSUB@
  165. PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
  166. PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
  167. RANLIB = @RANLIB@
  168. SDLCONFIG = @SDLCONFIG@
  169. SET_MAKE = @SET_MAKE@
  170. SHELL = @SHELL@
  171. STRIP = @STRIP@
  172. USE_NLS = @USE_NLS@
  173. VERSION = @VERSION@
  174. XGETTEXT = @XGETTEXT@
  175. XML2_CONFIG = @XML2_CONFIG@
  176. XML_CPPFLAGS = @XML_CPPFLAGS@
  177. XML_LIBS = @XML_LIBS@
  178. X_CFLAGS = @X_CFLAGS@
  179. X_EXTRA_LIBS = @X_EXTRA_LIBS@
  180. X_LIBS = @X_LIBS@
  181. X_PRE_LIBS = @X_PRE_LIBS@
  182. ac_ct_AR = @ac_ct_AR@
  183. ac_ct_CC = @ac_ct_CC@
  184. ac_ct_CXX = @ac_ct_CXX@
  185. ac_ct_F77 = @ac_ct_F77@
  186. ac_ct_RANLIB = @ac_ct_RANLIB@
  187. ac_ct_STRIP = @ac_ct_STRIP@
  188. ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
  189. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  190. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  191. am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
  192. am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
  193. am__include = @am__include@
  194. am__leading_dot = @am__leading_dot@
  195. am__quote = @am__quote@
  196. bindir = @bindir@
  197. build = @build@
  198. build_alias = @build_alias@
  199. build_cpu = @build_cpu@
  200. build_os = @build_os@
  201. build_vendor = @build_vendor@
  202. datadir = @datadir@
  203. exec_prefix = @exec_prefix@
  204. host = @host@
  205. host_alias = @host_alias@
  206. host_cpu = @host_cpu@
  207. host_os = @host_os@
  208. host_vendor = @host_vendor@
  209. includedir = @includedir@
  210. infodir = @infodir@
  211. install_sh = @install_sh@
  212. libdir = @libdir@
  213. libexecdir = @libexecdir@
  214. localstatedir = @localstatedir@
  215. mandir = @mandir@
  216. mkdir_p = @mkdir_p@
  217. oldincludedir = @oldincludedir@
  218. prefix = @prefix@
  219. program_transform_name = @program_transform_name@
  220. sbindir = @sbindir@
  221. sharedstatedir = @sharedstatedir@
  222. sysconfdir = @sysconfdir@
  223. target_alias = @target_alias@
  224. TESTS = \
  225.     test-stub$(EXEEXT)
  226.  
  227. test_stub_SOURCES = \
  228.     test-stub.cpp
  229.  
  230. all: all-am
  231.  
  232. .SUFFIXES:
  233. .SUFFIXES: .cpp .lo .o .obj
  234. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  235.     @for dep in $?; do \
  236.       case '$(am__configure_deps)' in \
  237.         *$$dep*) \
  238.           cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  239.         && exit 0; \
  240.           exit 1;; \
  241.       esac; \
  242.     done; \
  243.     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
  244.     cd $(top_srcdir) && \
  245.       $(AUTOMAKE) --gnu  tests/Makefile
  246. .PRECIOUS: Makefile
  247. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  248.     @case '$?' in \
  249.       *config.status*) \
  250.         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  251.       *) \
  252.         echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  253.         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  254.     esac;
  255.  
  256. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  257.     cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  258.  
  259. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  260.     cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  261. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  262.     cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  263.  
  264. clean-checkPROGRAMS:
  265.     @list='$(check_PROGRAMS)'; for p in $$list; do \
  266.       f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
  267.       echo " rm -f $$p $$f"; \
  268.       rm -f $$p $$f ; \
  269.     done
  270. test-stub$(EXEEXT): $(test_stub_OBJECTS) $(test_stub_DEPENDENCIES) 
  271.     @rm -f test-stub$(EXEEXT)
  272.     $(CXXLINK) $(test_stub_LDFLAGS) $(test_stub_OBJECTS) $(test_stub_LDADD) $(LIBS)
  273.  
  274. mostlyclean-compile:
  275.     -rm -f *.$(OBJEXT)
  276.  
  277. distclean-compile:
  278.     -rm -f *.tab.c
  279.  
  280. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-stub.Po@am__quote@
  281.  
  282. .cpp.o:
  283. @am__fastdepCXX_TRUE@    if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
  284. @am__fastdepCXX_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  285. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  286. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
  287. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  288. @am__fastdepCXX_FALSE@    $(CXXCOMPILE) -c -o $@ $<
  289.  
  290. .cpp.obj:
  291. @am__fastdepCXX_TRUE@    if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
  292. @am__fastdepCXX_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  293. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  294. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
  295. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  296. @am__fastdepCXX_FALSE@    $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  297.  
  298. .cpp.lo:
  299. @am__fastdepCXX_TRUE@    if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
  300. @am__fastdepCXX_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  301. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  302. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
  303. @AMDEP_TRUE@@am__fastdepCXX_FALSE@    $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  304. @am__fastdepCXX_FALSE@    $(LTCXXCOMPILE) -c -o $@ $<
  305.  
  306. mostlyclean-libtool:
  307.     -rm -f *.lo
  308.  
  309. clean-libtool:
  310.     -rm -rf .libs _libs
  311.  
  312. distclean-libtool:
  313.     -rm -f libtool
  314. uninstall-info-am:
  315.  
  316. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  317.     list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  318.     unique=`for i in $$list; do \
  319.         if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  320.       done | \
  321.       $(AWK) '    { files[$$0] = 1; } \
  322.            END { for (i in files) print i; }'`; \
  323.     mkid -fID $$unique
  324. tags: TAGS
  325.  
  326. TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  327.         $(TAGS_FILES) $(LISP)
  328.     tags=; \
  329.     here=`pwd`; \
  330.     list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  331.     unique=`for i in $$list; do \
  332.         if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  333.       done | \
  334.       $(AWK) '    { files[$$0] = 1; } \
  335.            END { for (i in files) print i; }'`; \
  336.     if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  337.       test -n "$$unique" || unique=$$empty_fix; \
  338.       $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  339.         $$tags $$unique; \
  340.     fi
  341. ctags: CTAGS
  342. CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  343.         $(TAGS_FILES) $(LISP)
  344.     tags=; \
  345.     here=`pwd`; \
  346.     list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  347.     unique=`for i in $$list; do \
  348.         if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  349.       done | \
  350.       $(AWK) '    { files[$$0] = 1; } \
  351.            END { for (i in files) print i; }'`; \
  352.     test -z "$(CTAGS_ARGS)$$tags$$unique" \
  353.       || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  354.          $$tags $$unique
  355.  
  356. GTAGS:
  357.     here=`$(am__cd) $(top_builddir) && pwd` \
  358.       && cd $(top_srcdir) \
  359.       && gtags -i $(GTAGS_ARGS) $$here
  360.  
  361. distclean-tags:
  362.     -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  363.  
  364. check-TESTS: $(TESTS)
  365.     @failed=0; all=0; xfail=0; xpass=0; skip=0; \
  366.     srcdir=$(srcdir); export srcdir; \
  367.     list='$(TESTS)'; \
  368.     if test -n "$$list"; then \
  369.       for tst in $$list; do \
  370.         if test -f ./$$tst; then dir=./; \
  371.         elif test -f $$tst; then dir=; \
  372.         else dir="$(srcdir)/"; fi; \
  373.         if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
  374.           all=`expr $$all + 1`; \
  375.           case " $(XFAIL_TESTS) " in \
  376.           *" $$tst "*) \
  377.         xpass=`expr $$xpass + 1`; \
  378.         failed=`expr $$failed + 1`; \
  379.         echo "XPASS: $$tst"; \
  380.           ;; \
  381.           *) \
  382.         echo "PASS: $$tst"; \
  383.           ;; \
  384.           esac; \
  385.         elif test $$? -ne 77; then \
  386.           all=`expr $$all + 1`; \
  387.           case " $(XFAIL_TESTS) " in \
  388.           *" $$tst "*) \
  389.         xfail=`expr $$xfail + 1`; \
  390.         echo "XFAIL: $$tst"; \
  391.           ;; \
  392.           *) \
  393.         failed=`expr $$failed + 1`; \
  394.         echo "FAIL: $$tst"; \
  395.           ;; \
  396.           esac; \
  397.         else \
  398.           skip=`expr $$skip + 1`; \
  399.           echo "SKIP: $$tst"; \
  400.         fi; \
  401.       done; \
  402.       if test "$$failed" -eq 0; then \
  403.         if test "$$xfail" -eq 0; then \
  404.           banner="All $$all tests passed"; \
  405.         else \
  406.           banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
  407.         fi; \
  408.       else \
  409.         if test "$$xpass" -eq 0; then \
  410.           banner="$$failed of $$all tests failed"; \
  411.         else \
  412.           banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
  413.         fi; \
  414.       fi; \
  415.       dashes="$$banner"; \
  416.       skipped=""; \
  417.       if test "$$skip" -ne 0; then \
  418.         skipped="($$skip tests were not run)"; \
  419.         test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
  420.           dashes="$$skipped"; \
  421.       fi; \
  422.       report=""; \
  423.       if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
  424.         report="Please report to $(PACKAGE_BUGREPORT)"; \
  425.         test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
  426.           dashes="$$report"; \
  427.       fi; \
  428.       dashes=`echo "$$dashes" | sed s/./=/g`; \
  429.       echo "$$dashes"; \
  430.       echo "$$banner"; \
  431.       test -z "$$skipped" || echo "$$skipped"; \
  432.       test -z "$$report" || echo "$$report"; \
  433.       echo "$$dashes"; \
  434.       test "$$failed" -eq 0; \
  435.     else :; fi
  436.  
  437. distdir: $(DISTFILES)
  438.     @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  439.     topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  440.     list='$(DISTFILES)'; for file in $$list; do \
  441.       case $$file in \
  442.         $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  443.         $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  444.       esac; \
  445.       if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  446.       dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  447.       if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  448.         dir="/$$dir"; \
  449.         $(mkdir_p) "$(distdir)$$dir"; \
  450.       else \
  451.         dir=''; \
  452.       fi; \
  453.       if test -d $$d/$$file; then \
  454.         if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  455.           cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  456.         fi; \
  457.         cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  458.       else \
  459.         test -f $(distdir)/$$file \
  460.         || cp -p $$d/$$file $(distdir)/$$file \
  461.         || exit 1; \
  462.       fi; \
  463.     done
  464. check-am: all-am
  465.     $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  466.     $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  467. check: check-am
  468. all-am: Makefile
  469. installdirs:
  470. install: install-am
  471. install-exec: install-exec-am
  472. install-data: install-data-am
  473. uninstall: uninstall-am
  474.  
  475. install-am: all-am
  476.     @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  477.  
  478. installcheck: installcheck-am
  479. install-strip:
  480.     $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  481.       install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  482.       `test -z '$(STRIP)' || \
  483.         echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  484. mostlyclean-generic:
  485.  
  486. clean-generic:
  487.  
  488. distclean-generic:
  489.     -rm -f $(CONFIG_CLEAN_FILES)
  490.  
  491. maintainer-clean-generic:
  492.     @echo "This command is intended for maintainers to use"
  493.     @echo "it deletes files that may require special tools to rebuild."
  494. clean: clean-am
  495.  
  496. clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  497.     mostlyclean-am
  498.  
  499. distclean: distclean-am
  500.     -rm -rf ./$(DEPDIR)
  501.     -rm -f Makefile
  502. distclean-am: clean-am distclean-compile distclean-generic \
  503.     distclean-libtool distclean-tags
  504.  
  505. dvi: dvi-am
  506.  
  507. dvi-am:
  508.  
  509. html: html-am
  510.  
  511. info: info-am
  512.  
  513. info-am:
  514.  
  515. install-data-am:
  516.  
  517. install-exec-am:
  518.  
  519. install-info: install-info-am
  520.  
  521. install-man:
  522.  
  523. installcheck-am:
  524.  
  525. maintainer-clean: maintainer-clean-am
  526.     -rm -rf ./$(DEPDIR)
  527.     -rm -f Makefile
  528. maintainer-clean-am: distclean-am maintainer-clean-generic
  529.  
  530. mostlyclean: mostlyclean-am
  531.  
  532. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  533.     mostlyclean-libtool
  534.  
  535. pdf: pdf-am
  536.  
  537. pdf-am:
  538.  
  539. ps: ps-am
  540.  
  541. ps-am:
  542.  
  543. uninstall-am: uninstall-info-am
  544.  
  545. .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
  546.     clean-checkPROGRAMS clean-generic clean-libtool ctags \
  547.     distclean distclean-compile distclean-generic \
  548.     distclean-libtool distclean-tags distdir dvi dvi-am html \
  549.     html-am info info-am install install-am install-data \
  550.     install-data-am install-exec install-exec-am install-info \
  551.     install-info-am install-man install-strip installcheck \
  552.     installcheck-am installdirs maintainer-clean \
  553.     maintainer-clean-generic mostlyclean mostlyclean-compile \
  554.     mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  555.     tags uninstall uninstall-am uninstall-info-am
  556.  
  557. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  558. # Otherwise a system limit (for SysV at least) may be exceeded.
  559. .NOEXPORT:
  560.